System Class Reference

The System class contains several useful class fields and methods. More...

## Static Public Member Functions

static LogString | getProperty (const LogString &key)
| Gets the system property indicated by the specified key. More...

## Detailed Description

The System class contains several useful class fields and methods.

It cannot be instantiated.

## Member Function Documentation

static LogString getProperty | ( | const LogString & | key | ) |

static

Gets the system property indicated by the specified key.

Parameters

  key | the name of the system property.

Returns
  the string value of the system property, or the default value if there is no property with that key.

Exceptions

  IllegalArgumentException | if key is empty.

The documentation for this class was generated from the following file:

- system.h